package com.fjhx.wms.entity.stock.emums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum JournalType {
    MANUAL_IN(InOutType.IN, 1, "手动入库", ""),
    MANUAL_OUT(InOutType.OUT, 2, "手动出库", ""),
    ADJUSTING_IN(InOutType.IN, 3, "调仓入库", ""),
//    STOCK_WAIT_IN(InOutType.IN, 4, "待入库入库", "stock_wait"),
//    STOCK_WAIT_OUT(InOutType.OUT, 5, "待出库出库", "stock_wait"),
    COMBINATION_IN(InOutType.IN, 6, "组合入库", "group_record_details"),
    COMBINATION_OUT(InOutType.OUT, 7, "组合出库", "group_record_details"),
    SPLIT_IN(InOutType.IN, 8, "组合拆分入库", "group_record_details"),
    SPLIT_OUT(InOutType.OUT, 9, "组合拆分出库", "group_record_details"),
    JD_SALES_OUT(InOutType.OUT, 10, "京东销售出库", "sales_record"),
    ADJUSTING_OUT(InOutType.OUT, 11, "调仓出库", ""),
    SALES_OUT(InOutType.OUT, 12, "销售订单出库", ""),
    BACK_OUT(InOutType.OUT, 13, "待出库 退货出库", ""),
    ARRIVAL_IN(InOutType.IN, 14, "到货入库", ""),
    JD_BACK_IN(InOutType.IN, 15, "京东退货入库", ""),


    BORDER_OF_LINE_IN(InOutType.IN, 16, "待入库 线边回仓", ""),
    COMPLETION_IN(InOutType.IN, 17, "待入库 完工入库", ""),
    PURCHASE_ARRIVAL_IN(InOutType.IN, 18, "待入库 采购到货", ""),
    ARRIVAL_QUALITY(InOutType.IN, 19, "到货质检", "quality_info"),
    PRODUCTION_TASK_OUT(InOutType.OUT, 20, "生产任务待出库出库", "production_task"),
    WORD_ORDER_OUT(InOutType.OUT, 21, "工单出库待出库出库", "work_order"),
    STOCK_CHECK_IN(InOutType.IN, 22, "库存盘点修正入库", "stock_check"),
    STOCK_CHECK_OUT(InOutType.OUT, 23, "库存盘点修正出库", "stock_check")
    ;


    /**
     * 出入库类型
     */
    private final InOutType type;

    /**
     * 详细类型
     */
    private final Integer detailType;

    /**
     * 信息类型说明
     */
    private final String detailTypeRemark;

    /**
     * 关联业务表名
     */
    private final String linkBusinessTableName;

}
